import React, { useState, useRef, useEffect, useMemo, useCallback } from "react";
import {
    useRecordContext,
} from 'react-admin';
import { Box, Typography, Card, Stack } from '@mui/material';
import { useTheme } from '@mui/material/styles';
import CircleIcon from '@mui/icons-material/Circle';

const BillStatusField = () => {
    const record = useRecordContext();
    const theme = useTheme();
    const color = {
        0: '#BFBFBF',
        1: '#FFC53D',
        2: '#52C41A',
        3: '#595959',
        4: '#FF4D4F',
    }
    return (
        <Typography
            variant="body2"
            sx={{ display: 'flex', alignItems: 'center' }}
        >
            <CircleIcon sx={{ fontSize: 10, color: color[record.exceStatus || 0], marginRight: '3px' }} /> {record.exceStatus$}
        </Typography >
    )

}

export default BillStatusField;